DECLARE @sql nvarchar(max) 
SET @sql = ''

SELECT @sql = @sql + '
alter table ' + QUOTENAME(SCHEMA_NAME(schema_id))+ '.' + QUOTENAME(name)  + 
' add [ADF Run GUID] NVARCHAR(100) null' 
FROM sys.tables
WHERE type='U' and [name] like 'stg$%' and object_id NOT IN (select object_id from sys.columns where name='ADF Run GUID')

EXEC (@sql)

